Page MenuHomePhabricator

Pre-schedule all the 2015 MediaWiki Developer Summit sessions in the main room
Closed, ResolvedPublic

Description

We want to pre-schedule all the sessions held in the main room Roberston 1 (200 people theatre) by the end of Monday, January 12. @RobLa-WMF and @Qgil are coordinating with the Architecture Committee, WMF Platform and Product, the owners of the Mobile, Editing, and SOA areas, and anybody else who is proposing a session for that room.

See the pre-scheduled session in the main room at https://www.mediawiki.org/wiki/MediaWiki_Developer_Summit_2015#Schedule

Related Objects

Event Timeline

Rfarrand created this task.Dec 31 2014, 7:01 PM
Rfarrand claimed this task.
Rfarrand raised the priority of this task from to Normal.
Rfarrand updated the task description. (Show Details)
Rfarrand added a subscriber: Rfarrand.
Qgil added a subscriber: Qgil.Jan 2 2015, 3:49 PM
Qgil claimed this task.Jan 7 2015, 7:34 AM

We have agreed that I will focus on the MWDS content, while @Rfarrand focus on logistics and the general coordination of the event. I take this task.

Qgil raised the priority of this task from Normal to High.Jan 7 2015, 7:35 AM
Qgil set Security to None.
Qgil moved this task from Backlog to Doing on the ECT-January-2015 board.Jan 7 2015, 1:20 PM
Qgil renamed this task from Update Events Schedule on MWDS wiki to Pre-schedule all the MWDS 2015 sessions in the main room.Jan 8 2015, 7:15 AM
Qgil updated the task description. (Show Details)
Qgil added a subscriber: RobLa-WMF.
MZMcBride renamed this task from Pre-schedule all the MWDS 2015 sessions in the main room to Pre-schedule all the 2015 MediaWiki Developer Summit sessions in the main room.Jan 8 2015, 7:16 AM
Qgil updated the task description. (Show Details)Jan 8 2015, 8:03 AM
Qgil updated the task description. (Show Details)Jan 8 2015, 8:14 AM
Elitre added a subscriber: Elitre.Jan 8 2015, 11:37 AM
Qgil updated the task description. (Show Details)Jan 9 2015, 7:59 AM

About the candidates that have no task (and therefore no declared owner) yet:

Dependency management

This has been a star topic during the year, and it is one of those that matters to MediaWiki more than Wikimedia. The wiki page says "Desired attendees: Markus Glaser, Daniel Kinzler, Katie Filbert, Kunal Mehta".

Architectural guidelines/coding styles

Daniel has been pushing for this , right?

Graph database infrastructure

"Desired attendees: Daniel Kinzler, Sean Pringle, Nik Everett, Aaron Schulz, analytics?"

Future of the Architecture Committee

The collective owner of this session is clear. An individual owner would be still welcome?

MediaWiki outside Wikimedia

Mark, Markus, Greg, and myself are starting to discuss this one. I will create a task for it later today.

PS: sorry for wide CCing, just to make sure we all are on the same page. This task will be closed by Monday, so this is how far the extra spam might go. :)

GWicke updated the task description. (Show Details)Jan 9 2015, 11:40 PM
In T85632#965353, @Qgil wrote:

Graph database infrastructure

"Desired attendees: Daniel Kinzler, Sean Pringle, Nik Everett, Aaron Schulz, analytics?"

This is now T86382.

GWicke updated the task description. (Show Details)Jan 9 2015, 11:52 PM
Dependency management

This has been a star topic during the year, and it is one of those that matters to MediaWiki more than Wikimedia. The wiki page says "Desired attendees: Markus Glaser, Daniel Kinzler, Katie Filbert, Kunal Mehta".

This is also in @bd808's wheelhouse, right?

Dependency management

This has been a star topic during the year, and it is one of those that matters to MediaWiki more than Wikimedia. The wiki page says "Desired attendees: Markus Glaser, Daniel Kinzler, Katie Filbert, Kunal Mehta".

This is also in @bd808's wheelhouse, right?

It could make sense to consider this in combination with packaging and general distribution. That topic is currently part of the SOA plenary session (T85154), but we could consider pulling it out into one session to cover both.

Dependency management

This has been a star topic during the year, and it is one of those that matters to MediaWiki more than Wikimedia. The wiki page says "Desired attendees: Markus Glaser, Daniel Kinzler, Katie Filbert, Kunal Mehta".

This is also in @bd808's wheelhouse, right?

It could make sense to consider this in combination with packaging and general distribution. That topic is currently part of the SOA plenary session (T85154), but we could consider pulling it out into one session to cover both.

The wiki page says:

Installation and deployment
Dependency management, composer integration.

Composer integration is certainly something I would be interested in discussing if there are stakeholders who can describe areas that need improvement. As part of the SOA plenary I would guess the topic will be skewed more towards "how do we help non-WMF consumers manage a growing collection of services" and "what happens to shared hosting MediaWiki deployments in a world where multiple services are expected rather than a single PHP monolith".

GWicke added a comment.EditedJan 12 2015, 5:28 PM

The wiki page says:

Installation and deployment
Dependency management, composer integration.

Composer integration is certainly something I would be interested in discussing if there are stakeholders who can describe areas that need improvement. As part of the SOA plenary I would guess the topic will be skewed more towards "how do we help non-WMF consumers manage a growing collection of services" and "what happens to shared hosting MediaWiki deployments in a world where multiple services are expected rather than a single PHP monolith".

Yes, and of course each of these services has its own set of dependencies. I see composer as one specific case, but I think it might not make too much sense to discuss it completely separately from the bigger question of how we are planning to distribute our software in the longer term.

GWicke updated the task description. (Show Details)Jan 12 2015, 7:04 PM
Mglaser updated the task description. (Show Details)Jan 12 2015, 7:15 PM
Qgil updated the task description. (Show Details)Jan 12 2015, 10:18 PM
Qgil updated the task description. (Show Details)Jan 12 2015, 10:38 PM
Qgil added a comment.Jan 12 2015, 10:49 PM

I was bold and merged "Dependency management and "MediaWiki outside Wikimedia" into T86559: "Distribution of MediaWiki" session at MediaWiki Developer Summit 2015. Please discuss the details there.

Qgil updated the task description. (Show Details)Jan 12 2015, 10:51 PM
Qgil closed this task as Resolved.Jan 14 2015, 11:00 AM

https://www.mediawiki.org/wiki/MediaWiki_Developer_Summit_2015#Schedule has all main room slots scheduled. Changes are still possible, but they need to be negotiated with the owners of the sessions pre-scheduled. Rob and I are happy to help if there is any conflict or suggestion.

Now each plenary session has an after-plenary (except the opening and the wrap-up sessions). I had to move some sessions in the wiki schedule in order to organize the main room. Feel free to place those sessions in the slots you prefer if you are not happy with the (seemingly random) slot I placed them.

Qgil updated the task description. (Show Details)Jan 14 2015, 11:01 AM
Danny_B removed a subscriber: TechCom.